# List payment tokens for a card

You have the option to obtain the payment tokens associated with a card, which can assist in determining if it's already linked to a specific wallet.
Note that the payment token status associated with the card may not be accurate (for example, after a phone factory reset).
Therefore, it's advisable to consistently check the wallet instance for the most up-to-date token status.

Endpoint: POST /v3/spend/profiles/{profileId}/cards/{cardToken}/payment-tokens
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.
    Example: 12345

  - `cardToken` (string, required)
    The card token.
    Example: "a3f90c98-1cd1-4488-9050-2e32c696f8fa"

## Request fields (application/json):

  - `walletNames` (array)
    List of supported wallet types.
    Enum: "APPLE_PAY", "GOOGLE_PAY"

## Response 200 fields (application/json):

  - `paymentTokens` (array)

  - `paymentTokens.cardToken` (string)
    Card token.
    Example: "a3f90c98-1cd1-4488-9050-2e32c696f8fa"

  - `paymentTokens.walletName` (string)
    Wallet name.
    Enum: "GOOGLE_PAY", "APPLE_PAY"

  - `paymentTokens.paymentTokenUniqueReference` (string)
    Unique reference of the payment token.
    Example: "DSHRMC0000255389d1106783179b420aa5b5ca09ba2f12b8"

  - `paymentTokens.panUniqueReference` (string)
    Unique reference of the PAN.
    Example: "FSHRMC000025538959679bc73c9d4fdc8031b20fa91d0e3b"

  - `paymentTokens.provisioningStatus` (string)
    Payment token status.

- ACTIVE — The token is active and available for payments
- SUSPENDED — The token has been temporarily suspended
- INACTIVE — The token is in the active wallet, but requires additional user authentication for use
- DEACTIVATED — The status will not be visible, you can safely ignore it
    Enum: "ACTIVE", "SUSPENDED", "INACTIVE", "DEACTIVATED"

  - `paymentTokens.creationTime` (string)
    Time when the payment token was created.
    Example: "2025-10-02T21:26:00.377756354Z"

  - `paymentTokens.modificationTime` (string)
    Time when the payment token was last modified.
    Example: "2025-10-02T21:26:00.378182498Z"


